#ifndef __UART_H__
#define __UART_H__

#define BR(n)                   (65536 - ((FOSC) / (n) + 2)/ 4)

void uart_init();
void uart_set_parity();
void uart_set_baud();
void uart_polling();

extern BOOL Uart1TxBusy;
extern BOOL Uart2TxBusy;

extern BYTE Uart1RxRptr;
extern BYTE Uart2RxRptr;
extern BYTE Uart1RxWptr;
extern BYTE Uart2RxWptr;

extern BYTE Uart1TxRptr;
extern BYTE Uart2TxRptr;
extern BYTE Uart1TxWptr;
extern BYTE Uart2TxWptr;

extern BYTE xdata Uart1RxBuffer[256];
extern BYTE xdata Uart2RxBuffer[256];
extern BYTE xdata Uart1TxBuffer[256];
extern BYTE xdata Uart2TxBuffer[256];

#endif
